ShellEnhancer

Welcome,

ShellEnhancer is a little utility with the following features:

  • Put any window always on top (Note on Always On Top)

  • Change the transparency of any window. You can assign a different transparency when a window is active and when a window is not active. ShellEnhancer can also fade-out a window when it has been deactivated. (Note on the transparency feature of ShellEnhancer)

  • Make a window transparent when hovering over the minimize-, maximize- or close-button of that window.

  • Make all menus in Windows transparent.

  • Make the Windows Taskbar transparent.

  • X-Window style moving/resizing of windows

  • Set any window in "Keep Focus" mode which prevents other windows from being activated. (Note on Keep Focus)

  • Minimize any window to the system tray (the icons next to the clock of Windows)

  • The Enhanced TaskSwitcher can be used as a replacement for the standard Alt+Tab taskswitcher. It has a nicer layout, supports keyboard and mouse navigation and can display a preview of the window. (Preview is only available on Windows XP or later)

  • The Mosaic TaskSwitcher is another TaskSwitcher which you can use as an Alt+Tab replacement. (Windows XP or later is required)

  • Auto Manage windows: Example usage: Each time a Notepad is started, activate Always On Top and set transparency to 30%.

  • Create complex tasks which make your life easier. Tasks can be made to do a sequence of events you would normally have to do manually. But you can also use it to make simple tasks like starting screensaver, start notepad,...

  • Use the Shell Enhanced Applications feature to change the look of treeviews and listviews in a specific program.

  • Use Mouse Gestures to execute tasks.

  • Use Screen Corners to execute tasks.

  • Show On Screen Display (OSD) when running a task.

  • Reorder the buttons on the Windows taskbar.

  • Make certain windows unmoveable.

  • Rollup windows.

  • Hide desktop icons.

ShellEnhancer can also add a few menu items to the system/window menu of each window. The system/window menu is the menu you get when right clicking a window's title bar or when you click on the little icon in the title bar. The following items can be added:

  • Always On Top

  • Auto Manage

  • Keep Focus

  • Color key

  • Transparency (Note on the transparency feature of ShellEnhancer)

  • Change Priority

  • Lock Position

  • Roll-up

NOTE: Read an important note about rehooking.

NOTE: 16-bit applications are not fully supported in ShellEnhancer. Windows of 16-bit applications will not get extra menu items in the window menus.

Back to Top

Copyright © 2004 NuonSoft
All trademarks and trade names are properties of their respective owners.


ShellEnhancer - Menu

Menu

ShellEnhancer has a menu which is accessible by clicking on the system-tray icon.

Main Menu

 | Starting from the top you have a list of windows, which are currently on your desktop (minimized or not). Each window has a submenu which you can use to change specific settings for that window.
Manage Hotkey Tasks... | Manage your tasks. Here you can add/delete/edit your tasks. Go here for more information on tasks.
Run Hotkey Task Now | If you don't remember the assigned shortcut of a specific task, or if the task doesn't have a shortcut, you can quickly run it by selecting it from the sub-menu that appears here.
Reorder Taskbar Buttons... | This option allows you to reorder the buttons on the Windows taskbar. Learn more about this feature.
Settings | This will show the Settings sub menu.
Help | This will show the Help sub menu.
Exit and Restore | Close ShellEnhancer and restore the original settings (when ShellEnhancer was booted) of all the windows. NOTE: When you click on "Exit And Restore", not all windows are restored immediately. With some windows you have to activate that window or move your mouse over that window before it is restored.
Exit | Close the ShellEnhancer application.

Settings sub menu

Enable X-Window moving/resizing | Lets you enable/disable the X-Window style moving/resizing.
Enable Shell Enhanced Apps | Lets you enable/disable the Shell Enhanced Applications feature.
Hide Desktop Icons | Hide/show the icons on your Windows desktop.
Enable Screen Corner Tasks | When you have assigned tasks to specific corners of your screen, you can use this option to quickly enable/disable this feature.
Enable Mouse Gestures Tasks | When you have assigned tasks to specific mouse gesture, you can use this option to quickly enable/disable this feature.
Settings... | Change settings of ShellEnhancer. Go here for more information on the available settings.

Help sub menu

Contents... | Displays the table of contents for the online documentation.
Index... | Displays the index to the online documentation.
Search... | Searches the online documentation.
Make a Donation... | Takes you to the donation page of the NuonSoft website.
Register Your Copy... | You can register your copy of ShellEnhancer. If you do so, you'll be kept up to date of new releases and receive related information. You can also register on our website.
ShellEnhancer Home Page... | Opens the ShellEnhancer Home Page in your default Internet browser.
Bug Report... | If you've found a bug in ShellEnhancer, you can use this to report it to us. You can also report bugs on our website.
About... | Displays the help-about dialog.


ShellEnhancer - Always On Top

Always On Top

Note on Always On Top

Some programs do some special things with their windows. It might be possible that you cannot put some windows Always On Top with the menu in the system tray (click on the little icon of ShellEnhancer near the clock). If that is the case, try to do it with the extra menuitems added to the system/window menu of all windows. (If there are no extra menuitems, enable them in the options.)


ShellEnhancer - Color Key

Color Key

Color keying allows you to make a specific color completely transparent.

To select any color currently on your screen, use the color-picker. Click this picker and hold down your mousebutton. Now move your mouse over any color on your screen and release the mousebutton to select that color.

Below you see an example of what color keying can do. In this case, the color key for Notepad has been set to white. This means that all white colors in Notepad will be made completely transparent.

NOTE: You can also click-through on the area that is completely made transparent, meaning you can select things in a window behind Notepad. Because of this it is a bit tricky to select text in the Notepad below.


ShellEnhancer- Keep Focus

Keep Focus

Note on Keep Focus

This feature is currently not 100% correct, meaning that sometimes you can switch to another window while in Keep Focus mode.


ShellEnhancer - Rehook

Rehook

NuonSoft ShellEnhancer works by adding some hooks to the operating system to detect specific events. Sometimes this hooking system can get corrupted which means ShellEnhancer will not receive the correct events anymore. This can happen when other programs install their own hooks and when they do not properly unhook when closing the program.

Often, when the hooking system gets corrupted, you will notice that no extra menu items are added to the window/system menu of newly created windows.

To fix the hooking system, you can use the "Settings > Rehook" option which appears in the ShellEnhancer menu.


ShellEnhancer - Reorder Windows Taskbar Buttons

Reorder Windows Taskbar Buttons

The "Reorder Taskbar Buttons" window allows you to reorder the buttons on the taskbar of Windows.
The first button in the list will become the first button on the taskbar.
To reorder the buttons, you can use the up and down arrows on the right of the window or you can select an item in the list and press the "+" and "-" keys to move the item up or down.

When you press the OK-button the taskbar buttons are rearranged according to your settings.
The Refresh-button just refreshes the "Taskbar Buttons" list.


ShellEnhancer - System Menu Items Order

System Menu Items Order

NuonSoft ShellEnhancer can be configured to add extra menu items to each window menu (the menu that appears when you right click on a window titlebar). The order of these extra menu items can be changed with the following dialog:

The list on the left displays all the possible menu items that can be added to the window menus. The list on the right displays the extra menu items that currently will be added to the window menus.

Use the left- and right-arrows in the middle to move items from one list to the other list. Use the up- and down-arrows to change the order of the menu items.

There is also an option to make sure that the extra menu items will be added above the "Close" menu item.


ShellEnhancer - Transparency

Transparency

With the transparency option in ShellEnhancer you can make windows translucent. (Note on the transparency feature of ShellEnhancer)

All transparency values in ShellEnhancer are in percent, meaning a value of 100 means the window will be completely transparent (= invisible). An example of different transparency values is given below.

0% transparent

20% transparent

70% transparent


ShellEnhancer - XButtons

XButtons

Some mice have extra mouse buttons (like some versions of the Microsoft Intellimouse) beside the normal left-, middle- and right mouse buttons. These extra buttons are called XButtons. The first 2 XButtons can be used for making mouse gestures in NuonSoft ShellEnhancer.

These XButtons will only work correctly when no software is running that reassigns these buttons. For example, Microsoft Intellipoint software can be used to map each XButton to something else, for example a keyboard key. This allows you to use such an XButton to press for example F5. When you reassign such XButtons, ShellEnhancer is not able to recognize these anymore, because the Intellipoint software is translating these XButtons to other events.


ShellEnhancer - X-Window Style Moving/Resizing

X-Window Style Moving/Resizing

When this feature is activated you can use X-Window style moving and resizing of windows.

With X-Window style moving and resizing you don't have to move your mouse to a corner of a window to move or resize it. Just press the X-Window style moving and resizing hotkey and

  • click your left mouse-button anywhere on your window and move your mouse to move the window.

  • click your right mouse-button anywhere on your window and move the mouse to resize the window.

  • click your left and right mouse-button anywhere on your window and move the mouse to resize the window. The way the window will be resized is different than when you only press your right mouse-button (just give it a try).

Resizing

When the X-Window style moving/resizing hotkey is pressed, you can resize the window by right clicking in the window and then moving the mouse. Resizing works by dividing the window into 4 quadrants (see image below). For example, if you press the hotkey and right click in the upper right quadrant of the window, you can resize the window in the same way as if you've grabbed the window in the upper right corner (like you normally would resize a window).


ShellEnhancer - Task Manager

Task Manager

ShellEnhancer allows you to make your own tasks. Tasks can do a variety of things, being either very simple or very complex. In the task manager window (see image above) you can add new tasks, edit existing ones, load in new ones, export the current ones and so on. The task manager window is made up out of a couple components.

  • The menu

  • The toolbar

  • The tasks-list

  • The statusbar


ShellEnhancer - Task Manager - Menu

Task Manager - Menu

The menus are used to control the task manager. There are four different menus; File, Tasks, Tools and Help. We'll explain them one at a time.

File

New | Start a new (empty) tasks-list.
Open... | Open a tasks-list.
Import... | Import a previously saved tasks-list into the current tasks-list.
Save... | Save the current tasks-list.
Save As... | Save the current tasks-list under a different name.
Close | Close the task manager window.

Tasks

Add New Task... | Add a new task to the current tasks-list. A window will appear where you can customize the task. Learn more about adding tasks.
Edit Task... | Edit the current selected task. Learn more about editing tasks.
Delete Task | Delete the current selected task.
Run Task Now | Execute/run the current selected task.
Move Task Up | Move the current selected task up one place.
Move Task Down | Move the current selected task down one place.
Expand All | Expand all tasks, so you see the list of commands each task has.
Collapse All | Collapse all tasks, so you only see the name of each task.

Tools

Assign Task To Monitor Corners... | This will open a new dialog in which you can assign certain tasks to a specific corner of your screen. Learn more about screen corners.
Assign Task To Mouse Gestures... | This will open a new dialog in which you can assign certain tasks to a specific mouse gesture. Learn more about mouse gestures.
OSD Settings... | This will allow you to change the settings of the On Screen Display (OSD) that will be shown when a task is executed. Learn more about OSD.

Help

Help...

Open this page of the help-file.


ShellEnhancer - Task Managar - Toolbar

Task Manager - Toolbar

The toolbar is a selection of the most used menu-items. This way you can easily execute the most common tasks without having to search them in the menus. We'll explain every button (from left to right).

New | Start a new (empty) tasks-list.
Open... | Open a tasks-list.
Import... | Import a previously saved tasks-list into the current tasks-list.
Save... | Save the current tasks-list.
Save As... | Save the current tasks-list under a different name.
Add New Task... | Add a new task to the current tasks-list. A window will appear where you can customize the task. Learn more about adding new tasks.
Edit Task... | Edit the current selected task. Learn more about editing a task.
Delete Task | Delete the current selected task.
Run Task | Run the current selected task.
Move Task Up | Move the current selected task up one place.
Move Task Down | Move the current selected task down one place.
OSD Settings... | This will allow you to change the settings of the On Screen Display (OSD) that will be shown when a task is executed. Learn more about OSD.
Assign Task To Monitor Corners... | This will open a new dialog in which you can assign certain tasks to a specific corner of your screen. Learn more about screen corners.
Assign Task To Mouse Gestures... | This will open a new dialog in which you can assign certain tasks to a specific mouse gesture. Learn more about mouse gestures.
Help | Open this page of the help-file.


ShellEnhancer - Task Manager - Tasks-list

Task Manager - Tasks-list

The tasks-list shows you all the tasks in the currently open tasks-list. There are a couple of things you can do here.

  • You can quickly disable/enable a certain task by simply unchecking/checking the check-box in front of it.

  • Double-clicking a task will expand that task. When a task is in expanded mode you'll see what the task does. It will show you a list of the commands assigned to that specific task.

  • Double-clicking a task again will collapse it. When a task is collapsed it will only show its name and the shortcuts assigned to it. The description will also be shown when it is not empty and the number of times the script will run is also shown when it is not 1.

  • Right-clicking a task will show you the tasks-menu.


ShellEnhancer - Task Manager - Statusbar

Task Manager - Statusbar

There are several panes which make up the statusbar of the ShellEnhancer Task Manager.

  • The first pane displays some general info like a short explanation of where your mouse-pointer is pointing.

  • The second pane displays the number of tasks in the current tasks-list.


ShellEnhancer - Tasks

Add/Edit Task

ShellEnhancer allows you to make your own tasks. Tasks can do a variety of things, being either very simple or very complex. Setting one up requires you to configure a bit of settings. We'll go over them one at a time.

  • The first thing on the window is a checkbox "Enable Task". This just says whether or not this task is enabled.

  • Then we have the task name. Simply enter the name you want this task to have.

  • You can also give a task a description by typing it in the "Task description"-textbox.

  • The "Repeat Task"-setting allows you to configure how many times a task should be run. You can also let a task repeat forever by typing in "-1".
    Use this option with caution!
    Depending on your script, it could cause a system crash. When your script launches an application and you specify an infinite repeat count, your Windows resources will be drained quickly and this can result in a system crash.
    Setting the repeat count to -1 (infinite) is useful when your script contains a Sleep command. You can make a script that runs something, then waits for several hours and runs the application again. For such a script it is safe to specify an infinite repeat count.

  • You can add a command by clicking the "Add command"-button ( [image]) on the first toolbar. A menu will appear with all the available commands. Choose a command from this list. Some commands need additional settings and will display a new window with settings for that specific command. Configure the command as you want it and hit "OK". You can use the "Edit command"-button ( [image]) for editingcommands. You can also delete certain commands by selecting them and hitting the "Delete command"-button ( [image]). You can also change the place of a selected command in the list by using the "Up"- and "Down"-buttons ( [image] & [image]).

  • A task can have multiple hotkeys assigned to it. Use the second toolbar for this. Simply hit the "Add Hotkey"-button ( [image]) to add one. A new window will appear which asks you for the shortcut of this hotkey. Enter your key or key-combination and hit the "OK"-button. You can edit an added hotkey by selecting it and hitting the "Edit hotkey"-button ( [image]). You can also delete a selected hotkey by hitting the "Delete hotkey"-button ( [image]).


ShellEnhancer - Task Manager - OSD

Task Manager - OSD

The On Screen Display (OSD) can be shown whenever a task is executed via a hotkey, a mouse gesture or a screen corner. The OSD will display the name of the task that will be executed in the top-left corner of your screen. This provides a visual feedback about the task. In the OSD-Settings dialog, you can change the following settings:

  • Show On Screen Display (OSD): Enable this checkbox if the OSD should be shown when a task is executed.

  • Timeout: Specify the number of seconds that the OSD should remain visible on the screen.

  • Textsize: Specify the size of the text (in points) that will be used to display the OSD text.

  • Textcolor: Specify the color of the text in the OSD.

NOTE: The OSD functionality is not supported on the first versions of Windows 95.


ShellEnhancer - Task Manager - Screen Corners

Task Manager - Screen Corners

ShellEnhancer can be configured to execute a task when you leave your mouse in one of the corners of the screen for a specified number of milliseconds (1000 milliseconds = 1 second). The "Assign Task To Monitor Corners" dialog can be used to configure this behaviour.

Check the "Enable" checkbox in the upper left corner of this dialog to enable this feature.

The little monitor preview has a square drawn in each corner. The color of these squares have the following meaning:

  • Black square: No task is assigned to this corner.

  • Green square: A task is assigned to this corner.

  • Red square: This corner is currently active and you can change the settings for this corner.

To assign a task to a certain corner, select the corner on the little monitor. The corner should now become red and you can select a task in the list on the right of the window. This task will be executed by this screen corner.

Use the "Reaction delay (in milliseconds)" (1000 milliseconds = 1 second) to specify the amount of time that you should leave the mouse pointer in a corner before the task assigned to that corner will be executed.

The "Corner size (in pixels)" option can be used to specify the size of the little squares in the screen corners. Whenever your mouse pointer is in that square it will be regarded as being in that corner.


ShellEnhancer - Task Manager - Mouse Gestures

Task Manager - Mouse Gestures

NuonSoft ShellEnhancer can be configured to execute a certain task when you draw a mouse gesture. This feature can be setup with the above dialog.

The list on the left shows all the possible mouse gestures supported by ShellEnhancer. When you click on a gesture, a little preview will be shown on the right of the window. NOTE: The direction of the mouse gesture is important, so you have to make the mouse gesture as shown in the little preview animation. To assign a task to a specific mouse gesture, first select that mouse gesture and then click in the second column in the listbox. A dropdown listbox will appear showing you all the tasks that you have defined in the tasks editor. From this dropdown listbox, select the task that you want to assign to that mouse gesture.

The lower part of the window is used to setup some general settings for mouse gestures.

In the "Mouse Gesture button" select the mouse button that you want to use to draw your mouse gesture. The first 2 XButtons of the mouse are also supported. In the "Dead key" dropdown listbox, you can select an extra key. What this key does depends on the setting in the lower-right of the window:

  • Combination activates mouse gesture: You will have to press the selected mouse button and the selected dead key to draw your mouse gesture.

  • Combination activates original action: You only have to press the selected mouse button to draw your mouse gesture. If you want to let that mouse button do what it is supposed to do, you should hold down the selected dead key. Due to a design issue in Windows, this option does not work correctly with the middle mouse button. Normally, when you press the middle mouse button you can scroll/pan the current document. When you select the middle mouse button to be used as gesture button and you enable the "Combination activates original action" option, you cannot press the dead key to allow scroll/panning.

Examples

The mouse gesture feature of ShellEnhancer is a powerfull tool to enhance the useability of other programs. You can for example create a mouse gesture to "Go Back" in Internet Explorer. To do this, follow the following steps:

  • First create a new task in the task manager by clicking on "Tasks > Add New Task..."

  • A new window will be opened where you should give a name to the new task.

  • In this new window, click on the + button next to "Commands" and select "Send keystroke..."

  • Press the key combination that you want to send. In this example we want Internet Explorer to "Go Back", so we press "Alt + LeftArrow" and press the OK-button.

  • Press the OK-button.

  • Now, click on "Tools > Assign Task To Mouse Gestures..."

  • Enable mouse gestures, by making sure that the top checkbox is checked.

  • Select the "left" gesture in the list and click on the second column.

  • A list will appear where you should select the task we've just created.

  • Setup the general settings at the bottom of the window according to your preference.

  • Press the Close-button.

After following the above procedure, you can use the selected mouse gesture in Internet Explorer to "Go Back".


ShellEnhancer - Available Commands

Available Commands

Below you can find an exhaustive list of all the commands that are available for you to use in your own tasks.

  • Show confirmation dialog

  • Insert text

  • Send keystroke

  • Sleep

  • Launch a control panel

  • Show Mosaic-TaskSwitcher

  • Create System Restore Point

  • Clipboard commands

    • Paste from clipboard

    • Copy to clipboard

  • Manipulate files

    • Copy files or folders

    • Delete files or folders

    • Move files or folders

  • Manipulate window

    • Minimize window

    • Minimize window to Windows system tray

    • Maximize window

    • Restore window

    • Toggle "Show Desktop"

    • Move and resize window

  • Run commands

    • Run

    • Run and wait for idle

    • Run and wait for termination

  • System commands

    • Block screensaving

    • Start screensaver

    • Put monitor in standby

    • Power off monitor

    • Lock workstation

    • Log off

    • Reboot

    • Standby

    • Hibernate

    • Shutdown

    • Power off

Show confirmation dialog

This command will show a confirmation dialog whenever this command is encountered while executing a task. This confirmation dialog will ask the permission of the user to further execute the task. The dialog will have a Yes and a No button. Pressing the No button will abort the task.

This is a true command, meaning you can put this command anywhere in your task script. For example: your task script can first run some commands and then ask for confirmation for the rest of the script.

Insert text...

Simply enter the text in the big text-box that you want this command to insert. When a task runs this command it will paste this text in the target window.

The checkbox "Use the clipboard to insert the text" allows you to enable/disable whether or not ShellEnhancer should insert the text using the clipboard or not. Do note that this does not always work for all programs. This feature simply uses the CTRL+C and CTRL+V commands in Windows to do the necessary copying and pasting. If the program you want to insert the text into, doesn't fully support this then you'll have to uncheck this textbox. With this feature enabled, inserting text will be A LOT faster then with this feature disabled. So we recommend enabling it and only disabling it if you're using this command with a program that doesn't fully support the CTRL+V command.

The toolbar in this window allows you to do various things:

Open | Open a TXT-file which will be entered in the text-box.
Cut | Cut the current selected text.
Copy | Copy the current selected text.
Paste | Paste whatever is on the clipboard into the text.
Add special value... | This will open a menu that allows you to choose special values to add in the text. Once you've picked your value, you'll see a string added in your text of this format %<text>. This will be parsed when this command is run. For more information about these special values, click here.

Send keystroke...

A small window will appear where you can enter the keystroke you want to send. Simply hit the key or key-combination and press "OK".

NOTE: When you make a task to send a keystroke to the active window which will open another dialog in response to that keystroke and the next command in the task is again a keystroke, a sleep command might be required after the first keystroke to let the dialog appear. You should experiment with the sleep duration. Values starting as low as 100 milliseconds might be enough, depending on the application.

Sleep...

This command allows you to let a task sleep for a period of time. This sleep time can go up to 24 days 20 hours 31 minutes 23 seconds. Simply enter the desired sleep time and press "OK". When the task now comes to this command it will go to sleep for the specified duration. This might be usefull for example to have a certain task run at regular intervals. Of course you'd have to put the "Repeat task"-setting to "-1" in that case.

In some circumstances, this sleep duration will not be correct. If you are running ShellEnhancer on some virtual machine software, it could be possible that the minimum duration is a few seconds. If you specify a duration lower than this minimum, the sleep command will sleep for this minimum duration instead of the specified time period.

Launch a control panel...

This will open a window where you can choose which control panel applet to run. Only the standard control panel applets will be shown in the list and it's possible that some don't work, depending on your system. It might even be the case that you select one and try to run it but nothing happens, no error is shown and you don't get to see any window.

Show Mosaic-TaskSwitcher

This command will show the ShellEnhancer Mosaic-TaskSwitcher. This can be used to create a script that will show the Mosaic-TaskSwitcher. This script can then be attached to a mouse gesture or a screen corner allowing you to show the Mosaic-TaskSwitcher with a mouse gesture or a screen corner.

Create System Restore Point

This command will create a System Restore Point. This is only available on Windows ME, Windows XP or later.

NOTE: Windows Me: Due to the Windows ME design, creating a system restore point fails if there are pending file rename operations which can occur when you have installed a new application.

Clipboard commands

Paste from clipboard

This will paste the contents of the clipboard to the active window. This uses the general CTRL+V command in Windows so if the target program doesn't understand this, it will not work.

Copy to clipboard

This will copy the selected contents of the active window to the clipboard. This uses the general CTRL+C command in Windows so if the target program doesn't understand this, it will not work.

Manipulate files

NOTE: When you use wildcards (* and ?) in the source, the option "Recursively" will be ignored, but not when the filepart is "*.*". For example: when the source is "c:\test\*.*", the option will not be ignored, but for "c:\test\*.txt", the option will be ignored.

Copy files or folders

Copies the given files from the source to the destination.

Delete files or folders

Deletes the given files from the source.

Move files or folders

Moves the given files from the source to the destination.

Manipulate window

Minimize window

Minimizes the current target window.

Minimize window to Windows system tray

Minimizes the current target window to the system tray (the icons next to the Windows clock).

Maximize window

Maximizes the current target window.

Restore window

Restores the current target window.

Toggle "Show Desktop"

This command is equivalent to the "Show Desktop" option of Windows. It's a toggle command. When pressed, all windows are minimized. When pressed again (before you've made a window active), all windows are restored again.

NOTE: On some Windows 95 systems this feature might not work, depending on your version of Internet Explorer.

Move and resize window...

Move and/or resize the target window. To move the window you have to make sure that "Set Position" is checked. Once checked you can adjust the desired position in the controls below it. Position X = 0 and Y = 0 is the upper left corner of your (primary) monitor (see image below). Positioning always happens according to the upper left corner of your screen.

To resize the window you have to make sure that "Set dimensions" is checked. Once checked you can use the presets drop-down box to quickly select a certain standard dimension. Or if you want a customized size you can use the Width and Height settings below it.

When the "Ensure window does not fall offscreen"-setting is checked and you enter a position which makes the window go offscreen, it will not go offscreen but it will be repositioned to X=0 and Y=0. When this setting is disabled you can place windows off the screen so you can't see them, so be carefull when you disable it.

Run commands

Run...

To run an application simply enter its executable in the "Application"-textbox. You can use the browse-button ("...") to browse for your application. In the "Parameters"-textbox you can enter extra parameters. You can also specify a "Working Directory". This is the directory where the program will be started in. The "Start"-setting allows you to choose how the program should start. This is either Normal, Minimized or Maximized.

If you enable the "use selected text as %%S parameter", the %%S in the parameters string will be replaced with the currently selected text when the task is executed. The is a powerfull feature. For example:

%%S EXAMPLE:

Create a task with a "Run"-command with the following settings:

  • Specify "C:\Program Files\Internet Explorer\IEXPLORE.EXE" as application.

  • Specify "%%s" as parameter.

  • Enable "Use selected text as %%S parameter"

Assign a hotkey to this task.

Now, when you select a website address somewhere, for example in notepad and you press the assigned hotkey, Internet Explorer will be started and will go to the selected website address.

Note that the dimension and position settings are disabled in the "Run"-command. They only work with the "Run and wait for idle"-command and the "Run and wait for termination"-command.

NOTE: You can also run .txt, .bmp,... not only executables. When you do, the file will be opened in the default application on your system for that filetype.

Run and wait for idle...

This command will run the selected application and then wait until that application is idle again.

The settings to make here are basically the same as with the "Run"-command. But here you can also use the position and dimension settings. For more information on these please look above to "Move and resize window...".

NOTE: Wait for idle only works with executables.

Run and wait for termination...

This command will run the selected application and then wait until that application is terminated.

The settings to make here are basically the same as with the "Run"-command. But here you can also use the position and dimension settings. For more information on these please look above to "Move and resize window...".

NOTE: Wait for termination only works with executables.

System commands

Block screensaving

This command will prevent the screensaver from running and will also prevent you monitor from going in standby. This is a toggle command. When you run this command for the first time, blocking will be enabled. When you run it a second time, blocking will be disabled. While ShellEnhancer is blocking screensaving, a slowly flashing red icon appears in the Windows system tray (the icons next to the clock of Windows). When you click on this icon, a menu will appear. This menu can be used to disable screensaving blocking.

NOTE: This has been tested on: XP, 2K, NT, Me, 98, 95.

Start screensaver

Starts the currently enabled screensaver if a screensaver is configured.

NOTE: This has been tested on: XP, 2K, NT, Me, 98, 95.

Put monitor in standby

Puts the monitor in standby. This does not always work when you have multiple monitors.

NOTE: This has been tested on: XP.

Power off monitor

Powers off your monitor. This does not always work when you have multiple monitors.

NOTE: This has been tested on: XP.

Lock workstation

Locks your workstation.

NOTE: This has been tested on: XP, 2K, NT, Me, 98, 95.

Log off

Logs off the current user.

NOTE: This has been tested on: XP, 2K, NT, Me, 98, 95.

Reboot

Reboots the computer.

NOTE: This has been tested on: XP, 2K, NT, Me, 98, 95.

Standby

Switches the computer to standby mode.

NOTE: This has been tested on: XP, 2K, NT, Me, 98, 95.
On NT, this gives some weird error message.

Hibernate

Puts the computer in hibernation mode.

NOTE: This has been tested on: XP, 2K, NT, Me, 98, 95.
On NT, this gives some weird error message.

Shutdown

Shuts down the computer but do not power it off.

NOTE: This has been tested on: XP, 2K, NT, Me, 98, 95.

Power off

Shuts down the computer and power it off.

NOTE: This has been tested on: XP, 2K, NT, Me, 98, 95.
On Me, 98, 95 this logs the user off instead of power off.
On NT, this reboots the system instead of power off.


ShellEnhancer - Insert Text - Special Values

Insert Text - Special Values

You can use the following special values with the "Insert Text" command.

Most of the special values you can insert are self-explaining.

Insert Date Format

To insert a date use the following special value: %d"format"

When you want to insert any character quote it with single quotes '.

Format | Meaning
d | Day of month as digits with no leading zero for single-digit days.
dd | Day of month as digits with leading zero for single-digit days.
ddd | Day of week as a three-letter abbreviation.
dddd | Day of week as its full name.
M | Month as digits with no leading zero for single-digit months.
MM | Month as digits with leading zero for single-digit months.
MMM | Month as a three-letter abbreviation.
MMMM | Month as its full name.
y | Year as last two digits, but with no leading zero for years less than 10.
yy | Year as last two digits, but with leading zero for years less than 10.
yyyy | Year represented by full four digits.

Samples:

  • %d"dd'/'MM'/'yy": 01/01/70

  • %d"ddd dd MMM yyyy": Thu 01 Jan 1970

  • %d"dddd dd MMMM yyyy": Thursday 01 January 1970

Insert Time Format

To insert a time use the following special value: %t"format"

When you want to insert any character quote it with single quotes '.

Format | Meaning
h | Hours with no leading zero for single-digit hours; 12-hour clock.
hh | Hours with leading zero for single-digit hours; 12-hour clock.
H | Hours with no leading zero for single-digit hours; 24-hour clock.
HH | Hours with leading zero for single-digit hours; 24-hour clock.
m | Minutes with no leading zero for single-digit minutes.
mm | Minutes with leading zero for single-digit minutes.
s | Seconds with no leading zero for single-digit seconds.
ss | Seconds with leading zero for single-digit seconds.
t | One character time-marker string, such as A or P.
tt | Multicharacter time-marker string, such as AM or PM.

Samples:

  • %t"H':'m':'s": 14:3:4 (24-hour clock)

  • %t"HH':'mm':'ss": 14:03:04 (24-hour clock)


ShellEnhancer - Settings Window

Settings Window

The Settings window is divided into 3 tabs. Each of them will be explained separately.

  • General Settings

  • Auto Managed Windows

  • Shell Enhanced Applications

Toolbar

There is also a global toolbar for the Settings Window.

Defaults... | This will reset ALL settings of ShellEnhancer to their default values. This will also delete all Auto Managed Windows and Shell Enhanced Applications!
Import... | Allows you to import previously exported settings. Simply select the file containing the settings you want to import and press "Import".
Export... | Allows you to export all settings. This will also export all Auto Managed Windows and Shell Enhanced Applications. Just go to the directory where you want the settings to be exported to, type in a name for the file and press "Export".
Wizard... | This wizard will guide you through the process of changing the settings for NuonSoft ShellEnhancer. When you are not familiar with this version of ShellEnhancer, it is highly recommended that you follow this wizard. This way, you will get an overview of all the possibilities of ShellEnhancer.


ShellEnhancer - Settings Window - General Settings

Settings Window - General Settings

On the General Settings page you can configure ShellEnhancer's general settings. There are several groups which combine all the settings for different aspects of ShellEnhancer:

  • Desktop

  • Minimize To Tray

  • Roll-Up Windows

  • System/Window menus

  • TaskSwitcher

    • Enhanced TaskSwitcher

    • Mosaic-TaskSwitcher

  • Transparency

    • Window-Buttons

    • Fading

    • Menus

    • Taskbar

  • Warnings

  • Wizards

  • X-Window style moving/resizing

  • Misc

Desktop

NOTE: There is a known issue with hiding the desktop icons on Windows 95. When you hide the icons on Windows 95, the desktop will not be redrawn. This is most noticeable when moving a window accros the desktop.

  • Always hide desktop icons
    Always hide the icons on your desktop.
    This option is also available in the "Settings" submenu of the NuonSoft ShellEnhancer menu.

  • Hide desktop icons according to mouse position
    When this option is enabled, the icons on your desktop will only be shown when your mouse cursor is hovering the desktop. Otherwise the icons will be hidden.
    NOTE: This only works when the "Always hide desktop icons" setting above is disabled.

  • Hide desktop icons delay (in milliseconds)
    When you move your mouse cursor so that it's not hovering the desktop anymore, the icons on the desktop will be hidden after the specified delay. This setting only has an effect when the "Hide desktop icons according to mouse position" option has been enabled.

Minimize To Tray

  • Enable minimize window to tray hotkey
    When this setting is enabled and you minimize any window while holding down the hotkey you've assigned below, the window will be minimized to the Windows system tray (the icons next to the clock of Windows) instead of to the Windows taskbar.

  • Hotkey
    Specify the hotkey you want to use to minimize any window to the Windows system tray. To minimize a window to the system tray, you have to press this hotkey and click on the minimize button of a window.

Roll-Up Windows

  • Enable
    Enable or disable the window roll-up feature.

  • Hotkey
    When you press this hotkey and you click on the titlebar of a window, that window will be rolled-up.

  • Auto roll-down window when hovering titlebar
    When this option is enabled, a rolled-up window will automatically roll-down when you move the mouse over the titlebar of that window. When the mouse leaves the titlebar, the window will be rolled-up again.

  • Show warning
    When this option is enabled, a warning message will be shown when you try to roll-up a window that might not like to be rolled-up.

System/Window menus

  • Add menu items to the system/window menu of each window
    Enable or disable the addition of menu items to the system/window menu of each window.

  • Change order of extra system/window menu items
    Change the order of the extra menu items that ShellEnhancer adds to the system/window menus of windows.

TaskSwitcher

Enhanced TaskSwitcher

  • NuonSoft TaskSwitcher hotkey
    The NuonSoft TaskSwitcher is shown when this hotkey is pressed. This is usefull because on Windows 9x systems, it is not possible to replace the default Alt+Tab TaskSwitcher of Windows. So with this option you can choose another key-combination to show the NuonSoft TaskSwitcher.
    NOTE: Do not include Shift in your hotkey (Shift is used to cycle back in the TaskSwitcher).

  • Replace Windows Alt+Tab TaskSwitcher
    When this option is enabled, the default Alt+Tab TaskSwitcher is replaced with the NuonSoft TaskSwitcher.
    NOTE: This feature only works on Windows NT, 2000, XP or later.

  • Number of columns in the TaskSwitcher
    Specify the number of columns that the NuonSoft TaskSwitcher should display.
    NOTE: When you have enabled Windows XP visual themes for the TaskSwitcher, this value will be ignored.

  • Show all popup windows of programs
    When you enable this option, all popup windows of a program will be displayed in the Enhanced TaskSwitcher. If this option is disabled, only the main window of a program will be shown.

  • Use Windows XP visual themes to draw the TaskSwitcher
    Use the Windows XP visual themes to render the NuonSoft TaskSwitcher.
    NOTE: This option is only available on Windows XP or later.

  • Show a preview in the TaskSwitcher
    Show a little preview of the selected window. This is usefull when you have multiple instances open of a program and want to cycle to a specific one. It is recommended to only enable this option when you have a rather fast PC, because generating the preview shots might slow TaskSwitcher down.
    NOTE: This option is only available on Windows XP or later.

  • Size of preview image
    Change the size of the preview in the NuonSoft TaskSwitcher.
    NOTE: This option is only available on Windows XP or later.

  • TaskSwitcher Transparency
    Transparency percentage for the NuonSoft TaskSwitcher.
    A value of 100 means the TaskSwitcher is fully transparent.
    NOTE: This option is only available on Windows 2000, XP or later.

  • Delay preview generation (in milliseconds)
    This option allows you to specify a small delay before generating the little previews in the Enhanced TaskSwitcher. When you release the TaskSwitcher hotkey within the specified delay, you can switch much faster to another window, because the preview isn't being generated before this delay.
    The default value is 250 ms.
    NOTE: This option is only available on Windows XP or later.

  • Use list layout
    When you enable this option, the Enhanced Alt+Tab TaskSwitcher will display a list of all windows instead of a grid of larger icons.

  • Hide banner
    When this option is enabled, the banner at the top of the Enhanced Alt+Tab TaskSwitcher is not shown.
    NOTE: When you have enabled Windows XP visual themes for the TaskSwitcher, this value will be ignored.

  • Font size (in points)
    Specifies the size of the font used in the Enhanced Alt+Tab TaskSwitcher.
    -1 means that the default Windows font size will be used.

Mosaic-TaskSwitcher

NOTE: The Mosaic-TaskSwitcher is only available on Windows XP or later.

  • Mosaic-TaskSwitcher hotkey
    Define a hotkey for the Mosaic-TaskSwitcher feature.
    When this hotkey is pressed a mosaic of all your windows will be shown. When you click on a window in the mosaic it will be activated.

  • Replace Windows Alt+Tab TaskSwitcher
    When this option is enabled, the default Alt+Tab TaskSwitcher is replaced with the NuonSoft Mosaic TaskSwitcher.

  • Render icons in Mosaic-TaskSwitcher
    When this is enabled, the icon of each window will be rendered in the mosaic.

  • Use wallpaper as background
    When this option is enabled, the background image of the Mosaic-TaskSwitcher will be the same as the background image on your Windows desktop. If this option is disabled, the background will be black.

Transparency

NOTE: Transparency is only available on Windows 2000, XP or later.

  • Reduce flickering when changing transparency
    This option will reduce window-flickering when a window changes from transparent to fully opaque or vice versa.
    NOTE: This option requires a fast PC and can cause the resizing of windows to be a bit choppier.

  • Enable transparency hotkeys
    When you enable this setting, you can easily change the transparency of the active window by pressing a hotkey defined in the "Transparency hotkey #+" setting below.

  • Transparency hotkey #+
    Specify the hotkey-prefix that you want to use to easily change the transparency of the active window. The hotkeys will consist of the prefix you define here + a number from 0 to 9 which means a transparency value of 0% to 90%.

Window-Buttons

  • Make window transparent when hovering the close-button
    When this option is enabled, the transparency of a window will be changed when the mouse is hovering above the close-button of that window.

  • Make window transparent when hovering the minimize-button
    When this option is enabled, the transparency of a window will be changed when the mouse is hovering above the minimize-button of that window.

  • Make window transparent when hovering the maximize-button
    When this option is enabled, the transparency of a window will be changed when the mouse is hovering above the maximize-button of that window.

  • Window-transparency when hovering a window-button
    This is the transparency percentage for a window when the mouse is hovering above a window-button. A window button is either the close-button, the minimize-button or the maximize-button.
    100 means fully transparent.

Fading

  • Fade out windows
    When this option is enabled, windows will fade out when they are deactivated. Only windows which are Auto Managed with a certain "Transparency when not active"-value will fade out.

  • Fade out stepsize
    A larger value will result in a faster fading (depending on your PC speed.) This can be a decimal value.

  • Fade out length (milliseconds)
    This option specifies how long the fade-out should take. This value is in milliseconds (1000 milliseconds = 1 second).

Menus

NOTE: Menu animations in Windows will be deactivated for transparent menus!

  • Make menus transparent
    Make all menus transparent. How transparent the menus will be, can be configured with the "Menus-transparency"-setting.

  • Menus-transparency
    Transparency percentage for all menus.
    A value of 100 means the menu is fully transparent.

Taskbar

  • Make Windows Taskbar transparent
    Make the Windows Taskbar transparent. How transparent the taskbar will be, can be configured with the "Taskbar-transparency"-setting.

  • Taskbar-transparency
    Transparency percentage for the Windows Taskbar.
    A value of 100 means the menu is fully transparent.

  • Change transparency when hovering
    Change the transparency of the Windows taskbar when you hover your mouse above the taskbar.

  • Taskbar-transparency when hovering
    This is the transparency percentage for the Windows taskbar when you hover your mouse above the taskbar and the above option is enabled.
    100 means the Taskbar is fully transparent.

Warnings

  • Show the "Reduce flickering..." warning
    Show a warning when you enabled transparency and/or colorkeying about the setting which will reduce the flickering of windows.

  • Show the "Use selected text as %%S parameter" warning
    Show some information when you enable the "Use selected text as %%S parameter" option in the settings for a Run-command used in hotkey tasks.

Wizards

  • Show "Add Auto Managed Window" wizard
    When this option is enabled, a wizard will be shown when you want to add an "Auto Managed Window".

X-Window style moving/resizing

You can find more information on X-Window style moving and resizing here.

  • Enable
    Enable X-Window style moving and resizing.

  • Hotkey
    Specify a hotkey to be used for X-Window style moving and resizing. The default hotkey is ALT.

  • Make window transparent while moving the window
    Configure whether or not windows are made transparent when they are being moved with X-Window style moving and resizing. How transparent the menus will be, can be configured with the "Move-transparency"-setting.
    NOTE: This option is only available on Windows 2000, XP or later.

  • Move-transparency
    Transparency percentage for windows being moved with X-Window style moving and resizing.
    A value of 100 means the window will be fully transparent.
    NOTE: This option is only available on Windows 2000, XP or later.

  • Make window transparent while resizing the window
    Configure whether or not windows are made transparent when they are being resized with X-Window style moving and resizing. How transparent the menus will be, can be configured with the "Resize-transparency"-setting.
    NOTE: This option is only available on Windows 2000, XP or later.

  • Size-transparency
    Transparency percentage for windows being resized with X-Window style moving and resizing.
    A value of 100 means the window will be fully transparent.
    NOTE: This option is only available on Windows 2000, XP or later.

Misc

  • Reorder Taskbar buttons hotkey
    When this system-wide hotkey is pressed, a new window will appear which allows you to change to order of the buttons on the Windows Taskbar. Learn more about this feature.

  • Auto-start ShellEnhancer at Windows logon
    Automatically load ShellEnhancer when you login to Windows.

  • ShellEnhancer Hotkey
    Specify a system-wide hotkey.
    When this key combination is pressed, the ShellEnhancer menu will be displayed. This is the same menu you get when clicking on the ShellEnhancer tray icon (the little icons next to the clock of Windows). The default key combination is CTRL+ALT+S.
    When changing the ShellEnhancer hotkey, you cannot select the current hotkey.
    Eg: suppose the current ShellEnhancer hotkey is CTRL+ALT+S, when you go to settings and want to change the ShellEnhancer hotkey, you cannot enter CTRL+ALT+S. When you do "none" will appear. Also, when another program has registered a certain hotkey, you cannot change the ShellEnhancer hotkey to that hotkey. When you do "none" will appear.

  • Tray Icon
    Allows you to choose the color of the tray icon. Depending on your color scheme you might want to choose a different color.

  • Left click on tray icon shows settings
    When this option is enabled and you click with your left mousebutton on the ShellEnhancer tray icon (the icons next to the clock of Windows), the ShellEnhancer settings window will be shown instead of the ShellEnhancer menu which you can always show by right clicking on the tray icon.

  • Always use XP-style menus
    When you enable this setting, the menus will always be drawn in the Windows XP style. When this setting is not set, the menus will be drawn according to your system settings.

  • Truncate window titles to
    This is the number of characters to which window titles are truncated when displayed in the Alt-Tab dialog or the ShellEnhancer menu.


ShellEnhancer - Settings Window - Auto Managed Windows

Settings Window - Auto Managed Windows

You can configure your Auto Managed Windows on this page.

You can use the Auto Managed Windows feature to automatically set certain options when an application is started. The settings you can set for auto managed windows are:

  • Always On Top

  • Allow X-Window style moving/resizing

  • Always minimize window to system tray

  • Transparency of the window (Note on the transparency feature of ShellEnhancer)

  • Transparency of the window when not active (Note on the transparency feature of ShellEnhancer)

  • Color key

Toolbar

New | Removes all items from the Auto Managed Windows list.
Import... | Allows you to import a previously exported Auto Managed Windows list. Simply select the file containing the list you want to import and press "Import".
Export... | Allows you to export the Auto Managed Windows list. Just go to the directory where you want the list to be exported to, type in a name for the file and press "Export".
Add... | Adds a new Auto Managed Window to the list.
Edit... | Edits the currently selected Auto Managed Window.
Move up | Moves the selected Auto Managed Window one place up in the list.
Move down | Moves the selected Auto Managed Window one place down in the list.
Delete | Deletes the currently selected Auto Managed Window from the list.

Add/Edit Auto Managed Window

Creating a new Auto Managed Window involves a couple of things. The first time you are creating an Auto Managed Window it is recommended to use the built-in wizard. This will make it easier by explaining what you can do.

First you need to decide how you are going to identify the window you want to make Auto Managed. There are 3 ways to do this:

  • Application name: Enter a name of an executable. By using this option, you can for example apply your settings to all windows of notepad.exe.

  • Window title: The Auto Managed Window rule will be applied to all windows which have the specified text somewhere in the window title (not case-sensitive).

  • Window classname: Enter a specific classname of a window. All windows with this classname will match this rule.

NOTE: You can use the "pick"-icon to pick any window on your screen. To do so, click on the "pick"-icon and hold down your mousebutton. Now move your mouse over the desired window and you'll see that the application name, window title and window classname will be filled in for you. Release your mousebutton if you are satisfied with these values.

Now that you have decided how you want to identify your window, you can set the desired options for this Auto Managed Window. The following settings can be set:

  • Always On Top: Put the windows that match this Auto Managed Window always on top.

  • Allow X-Window style moving/resizing: Allow/disallow X-Window style moving/resizing for all windows that match this Auto Managed Window.

  • Always minimize window to system tray: When this option is enabled, minimizing a window that matches this Auto Managed Window rule, will cause the window to be minimized to the Windows system tray (the icons next to the clock of Windows), instead of to the Windows Taskbar.

  • Lock window position: When this option is enabled, the window will not be moveable.

  • Transparency of the window (Note on the transparency feature of ShellEnhancer): Specify a transparency percentage for all windows that matches this Auto Managed Window. 100% means the window will be completely transparent (= invisible).

  • Transparency of the window when not active (Note on the transparency feature of ShellEnhancer): Specify a transparency percentage for all windows that matches this Auto Managed Window when the window is not the active window. 100% means the window will be completely transparent (= invisible).

  • Color key: Specify a certain color key. The selected color will be completely transparent in all windows that matches this Auto Managed Window.
    To select any color currently on your screen, use the color-picker. Click this picker and hold down your mousebutton. Now move your mouse over any color on your screen and release the mousebutton to select that color.

  • Make fully opaque when maximized: When this option is enabled, the window will automatically become fully opaque when it is maximized.

In the lower left corner of the window is a "Wizard"-button. When you click on this button, a wizard will guide you through the process of adding/editing an Auto Managed Window rule.

Example

  1. Go to the settings of ShellEnhancer.
  2. Under "Auto Managed Windows", click on the "Add..." button.
  3. Select "Application name" and enter "notepad.exe".
  4. Click on "Always On Top".
  5. Change the transparency value (if available).
  6. Click the "OK" button.

Now, if you start Notepad, the new notepad window will be always on top and will have the transparency you have chosen.


ShellEnhancer - Settings Window - Shell Enhanced Applications

Settings Window - Shell Enhanced Applications

Here you can configure the Shell Enhanced Applications. The first thing you can set on this tab is whether or not Shell Enhanced Applications are enabled. You can add new Shell Enhanced Applications, edit them and delete them. You also have the ability to export the Shell Enhanced Applications and import them.

Toolbar

New | Removes all items from the Shell Enhanced Applications list.
Import... | Allows you to import a previously exported Shell Enhanced Applications list. Simply select the file containing the list you want to import and press "Import".
Export... | Allows you to export the Shell Enhanced Applications list. Just go to the directory where you want the list to be exported to, type in a name for the file and press "Export".
Add... | Adds a new Shell Enhanced Application to the list.
Edit... | Edits the currently selected Shell Enhanced Application.
Delete | Deletes the currently selected Shell Enhanced Application from the list.

Add/Edit Shell Enhanced Application

NOTE: All checkboxes in the list are three-state checkboxes. This means they have 3 stated with the following meaning:

  • Unchecked: the style will be removed.

  • Checked: the style will be set.

  • Semi-checked: the style will not be changed, meaning if the Shell Enhanced Application has set this style it will remain set and it will remain unset when the Shell Enhanced Application did not set it.

ListView Extended Styles

Change the look of a listview. The image below shows how a listview can look like:

Border Select | With this option enabled, the border of selected items will change rather than the items being highlighted.
Flat Scrollbars | This option will show flat scrollbars instead of 3D scrollbars. This option will be ignored when you are using Windows XP themes.
Full Row Select | Select the full row instead of just the item in the first column.
Gridlines | Show gridlines between rows and columns.
Header Drag And Drop | Allows you to drag and drop the columns so you can reorder them.
Label Tip | If a partially hidden label in any list-view mode lacks ToolTip text, the list-view control will unfold the label. If this style is not set, the list-view control will unfold partly hidden labels only for the large icon mode.
One Click Activate | Activate an item when you single-click on it. This will also allow you to enable hot tracking.
Track Select | Hot tracking means that when the cursor moves over an item, it is highlighted but not selected.
Two Click Activate | Activate an item when you double-click on it. This will also allow you to enable hot tracking.
Underline Cold | Causes those non-hot items that may be activated to be displayed with underlined text. This style requires that "Two Click Activate" is also enabled.
Underline Hot | Causes those hot items that may be activated to be displayed with underlined text. This style requires that "Two Click Activate" or "One Click Activate" is also enabled.
TreeView Styles

Change the look of a treeview. The image below shows how a treeview can look like:

Disable Drag And Drop | When this is disabled, you cannot start dragging from the treeview.
Full Row Select | Enables full-row selection in the treeview. The entire row of the selected item is highlighted, and clicking anywhere on an item's row causes it to be selected. This requires that "Has Lines" is disabled.
Has Buttons | When this style is enabled, a plus (+) and a minus (-) sign are shown next to parent items.
Has Lines | This style will draw lines to show the hierarchy of the items.
Lines At Root | Display lines between different root items.
No Tooltips | Do not display tooltips in the treeview.
Show Selection Always | Causes a selected item to remain selected when the treeview control loses focus.
Single Expand | Causes the item being selected to expand and the item being unselected to collapse upon selection in the treeview.
Track Select | Hot tracking means that when the cursor moves over an item, it is highlighted but not selected.

Example

The Shell Enhanced Applications can be used to change the look of for example Windows Explorer:

The look of Windows Explorer without a Shell Enhanced Application rule for "explorer.exe".

The look of Windows Explorer with a Shell Enhanced Application rule for "explorer.exe".


ShellEnhancer - Credits

Credits

ShellEnhancer uses the following components

  • ColourPopup: A MFC color popup control.

Written by Chris Maunder.
Extended by Alexander Bischofberger.
Copyright (c) 1998.

  • BCMenu: A MFC Menu class made by Brent Corkum.

  • CrashRpt: A crash handler.

Copyright (c) 2003 Michael Carruth

  • TreeOptionsCtrl: A MFC class to implement a tree options control.

Copyright (c) 1999 - 2003 by PJ Naughter.

  • The X-Window style moving/resizing is based on code that came with the article "X-Window Manager like dragging and resizing of windows" at www.codeproject.com written by Markus Rollmann.

  • The mouse gesture engine is based on code that came with the article "Mouse gestures recognition" at www.codeproject.com written by Konstantin Boukreev.

Special thanks to

  • Adni18 for the beautifull Orbicons.

  • Johan Grégoire for extensive testing and for giving me ideas and feedback.

Thanks to the following people

  • The Alien [Beta-tester]

  • Icec for feedback and ideas

  • ... and all the people who gave suggestions/bugreports via the forum or via email


ShellEnhancer - Contact Information

Contact Information

If you want to be up to date with the latest news and the latest versions of our software, check out our site or register your copy of our software. Registering is free and when you do, you'll be added to a mailinglist which will be used to announce new products. You can register with the built-in "Register" option, which you can find in the menu or on our website.

Use the forum to let us know what you think about ShellEnhancer. You can also report bugs and request new features on the forum. You can also report bugs with the built-in "Bug Reporter", which you can find in the menu.

Or you can contact NuonSoft at the following email (although we recommend the forum):

nuonsoft@nuonsoft.com


ShellEnhancer - License

NuonSoft ShellEnhancer License Agreement

Except where otherwise noted, all of the documentation and software included with NuonSoft ShellEnhancer is copyrighted by NuonSoft.

Copyright © 2004, NuonSoft. All rights reserved.

All trademarks and trade names are properties of their respective owners.

This program is freeware.

LICENSE AGREEMENT (Freeware version)

This license refers to the 'NuonSoft ShellEnhancer' Software Program herein called "The SOFTWARE".

CAREFULLY READ THE FOLLOWING LEGAL AGREEMENT. USE OF "THE SOFTWARE" PROVIDED WITH THIS AGREEMENT CONSTITUTES YOUR ACCEPTANCE OF THESE TERMS. IF YOU DO NOT AGREE TO THE TERMS OF THIS AGREEMENT, DO NOT INSTALL AND/OR USE THIS SOFTWARE. USER'S USE OF THIS SOFTWARE IS CONDITIONED UPON COMPLIANCE BY USER WITH THE TERMS OF THIS AGREEMENT.

  1. LICENSE GRANT
  2. OWNERSHIP
  3. COPYRIGHT
  4. UNAUTHORIZED USE
  5. BUNDLING
  6. DISTRIBUTION
  7. LIMITED WARRANTY
  8. SEVERABILITY
  9. NO LIABILITY FOR CONSEQUENTIAL DAMAGES
  10. INDEMNITY
  11. GOVERNING LAW
  12. INSPECTION AND TESTING
  13. ENTIRE AGREEMENT
  14. RESERVED RIGHTS
  15. TERMINATION
  16. CONTACT INFORMATION

1. LICENSE GRANT

NuonSoft grants you a license to use the "SOFTWARE" on any computer as long as the terms of this agreement are respected. "You" means the company, entity, or individual installing or using the SOFTWARE. "Use" means storing, loading, installing, executing, or displaying the SOFTWARE. You may not modify the SOFTWARE or disable any licensing or control features of the SOFTWARE except as an intended part of the SOFTWARE's programming features. This license is not transferable to any other hardware product or other company, entity, or individual.

2. OWNERSHIP

The SOFTWARE is owned and copyrighted by NuonSoft. Your license confers no title or ownership in the SOFTWARE and should not be construed as a sale of any right in the SOFTWARE.

3. COPYRIGHT

The SOFTWARE is protected by United States copyright law and international treaty provisions. You acknowledge that no title to the intellectual property in the SOFTWARE is transferred to you. You further acknowledge that title and full ownership rights to the SOFTWARE will remain the exclusive property of NuonSoft and you will not acquire any rights to the SOFTWARE except as expressly set forth in this license. You agree that any copies of the SOFTWARE will contain the same proprietary notices which appear on and in the SOFTWARE.

4. UNAUTHORIZED USE

You may not:

  1. use the SOFTWARE, except under the terms listed in this license;
  2. modify, translate, reverse engineer, decompile, disassemble or otherwise attempt to reconstruct or discover the source code from the binaries of the SOFTWARE, except to the extent applicable laws specifically prohibit such restriction;
  3. create derivative works based on the SOFTWARE (e.g. incorporating the SOFTWARE in a commercial product or service without a proper license);
  4. copy the SOFTWARE, except under the terms listed in this license;
  5. sell, rent, lease, sublicense, convey, distribute or otherwise transfer rights to the SOFTWARE, except under the terms listed in this license; or
  6. remove any product identification, copyright, proprietary notices or labels from the SOFTWARE;

Any and all copies made by you as permitted hereunder must contain all of the original SOFTWARE's copyright, trademark and other proprietary notices and marks.

Any unauthorized use shall result in immediate and automatic termination of this license (see TERMINATION section).

5. BUNDLING

If you bundle the SOFTWARE, inform NuonSoft of this by sending an email to nuonsoft@nuonsoft.com.

In no case may the SOFTWARE be bundled with hardware or other non-shareware software without written permission from NuonSoft.

6. DISTRIBUTION

Provided that you verify that you are distributing the Freeware version of the SOFTWARE you are hereby licensed to make as many copies of the original Freeware package of the SOFTWARE as you wish; give exact copies of the original Freeware package of the SOFTWARE to anyone; and distribute the original Freeware package of the SOFTWARE in its unmodified form via electronic means (Internet, BBS's, Shareware distribution libraries, CD-ROMs, etc.). You may charge a distribution fee for the package, but you must not represent in any way that you are selling the software itself.

All distribution of SOFTWARE is further restricted with regard to sources which also distribute virus source code and related virus construction/creation materials. The SOFTWARE may not be made available on any site, CD-ROM, or with any package which makes available or contains viruses, virus source code, virus construction programs, or virus creation material.

Permission to distribute the SOFTWARE is not transferable, assignable, saleable, or franchisable. Each entity wishing to distribute the package must independently satisfy the terms of the distribution license.

7. LIMITED WARRANTY

Short version:

This software is provided "AS-IS," without any express or implied warranty. In no event shall the author or NuonSoft be held liable for any damages arising from the use of this software.

Long version:

This software is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS. BECAUSE THE SOFTWARE IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS PROVIDE THE PROGRAM "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.

IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY COPYRIGHT HOLDER NOR ANYONE ELSE WHO HAS BEEN INVOLVED IN THE CREATION, PRODUCTION, OR DELIVERY OF THIS SOFTWARE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH HOLDER HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.

SOME JURISDICTIONS DO NOT ALLOW LIMITATION OR EXCLUSION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THE ABOVE LIMITATIONS OR EXCLUSION MAY NOT APPLY TO YOU TO THE EXTENT THAT LIABILITY IS BY LAW INCAPABLE OF EXCLUSION OR RESTRICTION.

IN NO EVENT SHALL ANY THEORY OF LIABILITY EXCEED THE LICENSE FEE PAID TO NUONSOFT, IF ANY.

8. SEVERABILITY

In the event of invalidity of any provision of this license, the parties agree that such invalidity shall not affect the validity of the remaining portions of this license.

9. NO LIABILITY FOR CONSEQUENTIAL DAMAGES

IN NO EVENT SHALL NUONSOFT OR ANYONE ELSE WHO HAS BEEN INVOLVED IN THE CREATION, PRODUCTION, OR DELIVERY OF THIS SOFTWARE BE LIABLE TO YOU FOR ANY CONSEQUENTIAL, SPECIAL, INCIDENTAL, OR INDIRECT DAMAGES OF ANY KIND ARISING OUT OF THE DELIVERY, PERFORMANCE, OR USE OF THE SOFTWARE, EVEN IF NUONSOFT HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. IN NO EVENT WILL NUONSOFT LIABILITY FOR ANY CLAIM, WHETHER IN CONTRACT, TORT, OR ANY OTHER THEORY OF LIABILITY, EXCEED THE LICENSE FEE PAID BY YOU, IF ANY.

10. INDEMNITY

You agree to defend and indemnify NuonSoft against all claims, losses, liabilities, damages, costs and expenses, including attorney's fees, which NuonSoft may incur as a result of or in connection with your breach of this Agreement.

11. GOVERNING LAW

This agreement shall be governed by the laws of Belgium, excluding the application of its conflicts of law rules, and shall inure to the benefit of NuonSoft and any successors, administrators, heirs, and assigns. Any action or proceeding brought by either party against the other arising out of or related to this agreement shall be brought only in a COURT of competent jurisdiction located in Belgium. Licensee irrevocably consents and submits to the personal jurisdiction of said Courts. This Agreement will not be governed by the conflict of law rules of any jurisdiction or the United Nations Convention on Contracts for the International Sale of Goods, the application of which is expressly excluded.

12. INSPECTION AND TESTING

You agree and acknowledge that you will thoroughly inspect and test the SOFTWARE for all of your purposes upon commencement of your use. Any suit or other legal action, claim, or any arbitration relating in any way to this agreement or software covered by it must be officially filed or officially commenced no later than 90 days after your first use of the SOFTWARE.

13. ENTIRE AGREEMENT

This is the entire agreement between you and NuonSoft, which supersedes any prior agreement or understanding, whether written or oral, relating to the subject matter of this license.

14. RESERVED RIGHTS

All rights not expressly granted here are reserved to NuonSoft.

15. TERMINATION

You may terminate this License agreement at any time by ceasing to use the SOFTWARE.

This Agreement will terminate immediately and automatically without notice if you breach any provision in this Agreement. Upon termination you will remove all copies of the SOFTWARE or any part of the SOFTWARE from any and all computer storage devices and destroy the SOFTWARE. At NuonSoft's request, you or your authorized signatory will certify in writing to NuonSoft that all complete and partial copies of the SOFTWARE have been destroyed and that none remain in your possession or under your control. The provisions of this Agreement, except for the license grant and warranty, will survive termination.

16. CONTACT INFORMATION

For any legal issues, contact NuonSoft at nuonsoft@nuonsoft.com and include the word "LEGAL" in the subject.

If you want to be up to date with the latest news and the latest versions of our software, check out our website at http://www.nuonsoft.com/.

Use the forum at http://www.nuonsoft.com/forum/ to let us know what you think about the software. You can also report bugs and request new features on the forum.

You can contact NuonSoft at the following email (although we recommend the forum): nuonsoft@nuonsoft.com


ShellEnhancer - Transparency

Transparency

Note on the transparency feature of ShellEnhancer

The transparency feature only works on Windows 2000 or later. The current transparency value of a window can only be retrieved on Windows XP or later. So, in the transparency menu on Windows 2000 there will be no indication of the current transparency value for a window.
Setting the transparency for a window is not guaranteed to always work flawlessly. Some programs do some special things with their windows. So it's possible that for certain windows the transparency setting doesn't have any effect.